<bugID>1377879<Summary>Highlighters can remain behind if Fx is slowly resized</Summary><Description>[Affected versions]:
- Firefox 54.0.1
- Firefox 55 beta 6
- latest Nightly 56.0a1

[Affected platforms]:
- macOS 10.12
- Ubuntu 16.04 64bit
- Windows 10 64bit

[Steps to reproduce]:
1. Start Firefox
2. Visit a webpage that uses CSS Grid
(eg: https://www.mozilla.org/en-US/developer/css-grid/)
3. Enable a grid overlay from Inspector/Layout or Rules
4. Slowly resize Firefox window

[Expected result]:
- Grid overlay moves along with its boxes.

[Actual result]:
- Grid overlay remains behind while slowly resizing.

[Regression range]:
- This is a regression, not recent though. Based on mozregression I get the following pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0a7831d838f793a263456df62f95a615472a7f95&amp;tochange=a9ec72f82299250e6023988e238931bbca0ef7fa

Most likely the culprit is:
07de05d8060c	Matteo Ferretti &#8212; Bug 1312103 - Avoid scrolling latency on highlighters given by APZ; r=pbro

[Additional notes]:
- Screencast showing the issue attached.
- The overlay comes back to normal if resized to much or if I hover boxes from Outline of the selected grid (From Inspector/Layout)</Description></bugID>